// *********************************************
// ********** Berghof Assault Shaders **********
// ***************** By Mateos *****************
// ********** Last Update: 15/12/2016 **********
// *********************************************


// *********************************************
// ************ Custom Icon Shaders ************
// *********************************************

gfx/berghof_assault/cm_breach
{
    noMipMaps
    noCompress
    {
        map gfx/berghof_assault/cm_breach.tga
        depthFunc equal
        blendFunc blend
        rgbGen vertex
        alphaGen vertex
    }
}

gfx/berghof_assault/cm_rock
{
    noMipMaps
    noCompress
    {
        map gfx/berghof_assault/cm_rock.tga
        depthFunc equal
        blendFunc blend
        rgbGen vertex
        alphaGen vertex
    }
}


// *********************************************
// ************** Terrain Shaders **************
// *********************************************

textures/berghof_assault/terrain_base
{
    q3map_shadeAngle 60
    q3map_lightmapAxis z
    q3map_tcMod rotate 37
    q3map_lightmapMergable
    q3map_lightmapSize 512 512
    q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
}

// textures/berghof_assault/terrain_base
// {
    // nopicmips
    // q3map_lightmapaxis z
    // q3map_lightmapmergable
    // q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
// }

textures/berghof_assault/terrain_0
{
    q3map_baseshader textures/berghof_assault/terrain_base
    qer_editorimage textures/snow_sd/bigrock_rounded_faint.tga
    {
        map textures/snow_sd/bigrock_rounded_faint.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
		detail
	}
}

textures/berghof_assault/terrain_1
{
    q3map_baseshader textures/berghof_assault/terrain_base
    qer_editorimage textures/snow_sd/snow_var02.tga
    surfaceparm landmine
    surfaceparm snowsteps
    {
        map textures/snow_sd/snow_var02.tga
        tcMod scale 2 2
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
		detail
	}
}

textures/berghof_assault/terrain_2
{
    q3map_baseshader textures/berghof_assault/terrain_base
    qer_editorimage textures/snow_sd/s_grass_ml03b_big.jpg
    surfaceparm landmine
    surfaceparm grasssteps
    {
        map textures/snow_sd/s_grass_ml03b_big.jpg
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
		detail
	}
}

textures/berghof_assault/terrain_0to1
{
    q3map_baseshader textures/berghof_assault/terrain_base
    qer_editorimage textures/snow_sd/bigrock_rounded_faint.tga
    surfaceparm snowsteps
    {
        map textures/snow_sd/bigrock_rounded_faint.tga
    }
    {
        map textures/snow_sd/snow_var02.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        tcMod scale 2 2
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
		detail
	}
}

textures/berghof_assault/terrain_0to2
{
    q3map_baseshader textures/berghof_assault/terrain_base
    qer_editorimage textures/snow_sd/bigrock_rounded_faint.tga
    {
        map textures/snow_sd/bigrock_rounded_faint.tga
    }
    {
        map textures/snow_sd/s_grass_ml03b_big.jpg
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
		detail
	}
}

textures/berghof_assault/terrain_1to2
{
    q3map_baseshader textures/berghof_assault/terrain_base
    qer_editorimage textures/snow_sd/snow_var02.tga
    surfaceparm landmine
    surfaceparm snowsteps
    {
        map textures/snow_sd/snow_var02.tga
        tcMod scale 2 2
    }
    {
        map textures/snow_sd/s_grass_ml03b_big.jpg
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
		detail
	}
}


// *********************************************
// ************** Texture Shaders **************
// *********************************************

textures/berghof_assault/guardh_I03
{
    qer_editorimage textures/miltary_wall/guardh_I03.tga
    cull disable
    deformVertexes wave 100 sin 0 .5 0 .3
	deformVertexes wave 30 sin 0 2 .5 .1
    implicitMap textures/miltary_wall/guardh_I03.tga
}

textures/berghof_assault/snowy_road_alpha
{
	qer_editorimage textures/temperate_sd/dirt_m03icmp_brown.tga
    //polygonOffset // Is required during compilation time to avoid a glitch (07.10.2015)
    q3map_shadeAngle 60
    q3map_lightmapAxis z
    q3map_tcMod rotate 37
    q3map_lightmapSize 512 512
    q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		map textures/snow/s_cathedrale_c24b.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		alphaGen vertex
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
		detail
	}
}
